import request from '@/utils/request'

// 查询quanyi列表
export function listQuanyi(query) {
  return request({
    url: '/system/quanyi/list',
    method: 'get',
    params: query
  })
}

// 查询quanyi详细
export function getQuanyi(id) {
  return request({
    url: '/system/quanyi/' + id,
    method: 'get'
  })
}

// 新增quanyi
export function addQuanyi(data) {
  return request({
    url: '/system/quanyi',
    method: 'post',
    data: data
  })
}

// 修改quanyi
export function updateQuanyi(data) {
  return request({
    url: '/system/quanyi',
    method: 'put',
    data: data
  })
}

// 删除quanyi
export function delQuanyi(id) {
  return request({
    url: '/system/quanyi/' + id,
    method: 'delete'
  })
}
